#pragma once

#ifdef HAVE_CONFIG_H
# include "config.h"
#endif

// std c++ headers
#include <string>

#include <dune/common/exceptions.hh> // We use exceptions
#include <dune/common/parallel/mpihelper.hh>

namespace AMDiS
{
  Dune::MPIHelper& init(int& argc, char**& argv, std::string initFileName = "");

  void finalize();

} // end namespace AMDiS
